$(() => {
const temperatureGauge = $('#temperatureGauge').dxLinearGauge({
title: {
text: 'Temperature (°C)',
font: {
size: 16,
},
},
geometry: { orientation: 'vertical' },
scale: {
startValue: -40,
endValue: 40,
tickInterval: 40,
},
rangeContainer: {
backgroundColor: 'none',
ranges: [
{ startValue: -40, endValue: 0, color: '#679EC5' },
{ startValue: 0, endValue: 40 },
],
},
value: cities[0].data.temperature,
}).dxLinearGauge('instance');
const humidityGauge = $('#humidityGauge').dxLinearGauge({
title: {
text: 'Humidity (%)',
font: {
size: 16,
},
},
geometry: { orientation: 'vertical' },
scale: {
startValue: 0,
endValue: 100,
tickInterval: 10,
},
rangeContainer: { backgroundColor: '#CACACA' },
valueIndicator: { type: 'rhombus', color: '#A4DDED' },
value: cities[0].data.humidity,
}).dxLinearGauge('instance');
const pressureGauge = $('#pressureGauge').dxLinearGauge({
title: {
text: 'Barometric Pressure (mb)',
font: {
size: 16,
},
},
geometry: { orientation: 'vertical' },
scale: {
label: {
format: {
type: 'decimal',
},
},
startValue: 900,
endValue: 1100,
customTicks: [900, 1000, 1020, 1100],
},
rangeContainer: {
ranges: [
{ startValue: 900, endValue: 1000, color: '#679EC5' },
{ startValue: 1000, endValue: 1020, color: '#A6C567' },
{ startValue: 1020, endValue: 1100, color: '#E18E92' },
],
},
valueIndicator: { type: 'circle', color: '#E3A857' },
value: cities[0].data.pressure,
}).dxLinearGauge('instance');
$('#selectbox').dxSelectBox({
dataSource: cities,
onSelectionChanged(e) {
const weatherData = e.selectedItem.data;
temperatureGauge.option('value', weatherData.temperature);
humidityGauge.option('value', weatherData.humidity);
pressureGauge.option('value', weatherData.pressure);
},
displayExpr: 'name',
value: cities[0],
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.2.6/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="long-title"><h3>Weather Indicators</h3></div>
<div id="gauge-demo">
<div class="gauge-element" id="temperatureGauge"></div>
<div class="gauge-element" id="humidityGauge"></div>
<div class="gauge-element" id="pressureGauge"></div>
</div>
<div id="selectbox"></div>
</div>
</body>
</html>
#gauge-demo {
width: 90%;
margin: 0 auto;
}
#gauge-demo .gauge-element {
height: 400px;
width: 33%;
float: left;
}
.dx-selectbox {
margin: 10px auto 0;
width: 200px;
}
#gauge-demo::after {
content: ".";
display: block;
clear: both;
visibility: hidden;
line-height: 0;
height: 0;
}
.long-title h3 {
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
const cities = [{
name: 'London',
id: '1',
data: {
temperature: 10,
humidity: 81,
pressure: 1002.1,
},
}, {
name: 'Berlin',
id: '2',
data: {
temperature: 14,
humidity: 58,
pressure: 1008.5,
},
}, {
name: 'New York',
id: '3',
data: {
temperature: 3,
humidity: 89,
pressure: 1016.2,
},
}, {
name: 'Moscow',
id: '4',
data: {
temperature: 2,
humidity: 51,
pressure: 1016.5,
},
}, {
name: 'Bangkok',
id: '5',
data: {
temperature: 37,
humidity: 39,
pressure: 1007.0,
},
}];

import React from 'react';
import { LinearGauge, Title, Font, Geometry, Scale, RangeContainer, Range, ValueIndicator, Label } from 'devextreme-react/linear-gauge';
import { SelectBox } from 'devextreme-react/select-box';
import { cities } from './data.js';
const customTicks = [900, 1000, 1020, 1100];
const pressureLabelFormat = {
type: 'decimal'
};
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
selectBoxValue: cities[0].data,
temperature: cities[0].data.temperature,
humidity: cities[0].data.humidity,
pressure: cities[0].data.pressure
};
this.onSelectionChanged = (e) => {
var weatherData = e.selectedItem.data;
this.setState({
selectBoxValue: weatherData,
temperature: weatherData.temperature,
humidity: weatherData.humidity,
pressure: weatherData.pressure
});
};
}
render() {
const temperatureGaugeStartValue = -40;
return (
<div>
<div className="long-title">
<h3>Weather Indicators</h3>
</div>
<div id="gauge-demo">
<LinearGauge
className="gauge-element"
value={this.state.temperature}
>
<Title text="Temperature (°C)">
<Font size={16} />
</Title>
<Geometry orientation="vertical" />
<Scale startValue={temperatureGaugeStartValue} endValue={40} tickInterval={40} />
<RangeContainer backgroundColor="none">
<Range startValue={temperatureGaugeStartValue} endValue={0} color="#679EC5" />
<Range startValue={0} endValue={40} />
</RangeContainer>
</LinearGauge>
<LinearGauge
className="gauge-element"
value={this.state.humidity}
>
<Title text="Humidity (%)">
<Font size={16} />
</Title>
<Geometry orientation="vertical" />
<Scale startValue={0} endValue={100} tickInterval={10} />
<RangeContainer backgroundColor="#CACACA" />
<ValueIndicator type="rhombus" color="#A4DDED" />
</LinearGauge>
<LinearGauge
className="gauge-element"
value={this.state.pressure}
>
<Title text="Barometric Pressure (mb)">
<Font size={16} />
</Title>
<Geometry orientation="vertical" />
<Scale startValue={900} endValue={1100} customTicks={customTicks}>
<Label format={pressureLabelFormat} />
</Scale>
<RangeContainer>
<Range startValue={900} endValue={1000} color="#679EC5" />
<Range startValue={1000} endValue={1020} color="#A6C567" />
<Range startValue={1020} endValue={1100} color="#E18E92" />
</RangeContainer>
<ValueIndicator type="circle" color="#E3A857" />
</LinearGauge>
</div>
<SelectBox
dataSource={cities}
valueExpr="data"
value={this.state.selectBoxValue}
displayExpr="name"
onSelectionChanged={this.onSelectionChanged}
/>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<link rel="stylesheet" type ="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#gauge-demo {
width: 90%;
margin: 0 auto
}
#gauge-demo .gauge-element {
height: 400px;
width: 33%;
float: left;
}
.dx-selectbox {
margin: 10px auto 0;
width: 200px;
}
#gauge-demo::after{
content: ".";
display: block;
clear: both;
visibility: hidden;
line-height: 0;
height: 0;
}
.long-title h3 {
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
export const cities = [{
name: 'London',
id: '1',
data: {
temperature: 10,
humidity: 81,
pressure: 1002.1
}
}, {
name: 'Berlin',
id: '2',
data: {
temperature: 14,
humidity: 58,
pressure: 1008.5
}
}, {
name: 'New York',
id: '3',
data: {
temperature: 3,
humidity: 89,
pressure: 1016.2
}
}, {
name: 'Moscow',
id: '4',
data: {
temperature: 2,
humidity: 51,
pressure: 1016.5
}
}, {
name: 'Bangkok',
id: '5',
data: {
temperature: 37,
humidity: 39,
pressure: 1007.0
}
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-react': 'npm:devextreme-react@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});

<div class="long-title"><h3>Weather Indicators</h3></div>
<div id="gauge-demo">
<dx-linear-gauge class="gauge-element"
[value]="weatherData.temperature">
<dxo-title text="Temperature (°C)">
<dxo-font [size]="16"></dxo-font>
</dxo-title>
<dxo-geometry orientation="vertical"></dxo-geometry>
<dxo-scale [startValue]="-40" [endValue]="40" [tickInterval]="40"></dxo-scale>
<dxo-range-container backgroundColor="none">
<dxi-range [startValue]="-40" [endValue]="0" color="#679EC5"></dxi-range>
<dxi-range [startValue]="0" [endValue]="40"></dxi-range>
</dxo-range-container>
</dx-linear-gauge>
<dx-linear-gauge class="gauge-element"
[value]="weatherData.humidity">
<dxo-value-indicator type="rhombus" color="#A4DDED"></dxo-value-indicator>
<dxo-title text="Humidity (%)">
<dxo-font [size]="16"></dxo-font>
</dxo-title>
<dxo-geometry orientation="vertical"></dxo-geometry>
<dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="10"></dxo-scale>
<dxo-range-container backgroundColor="#CACACA"></dxo-range-container>
</dx-linear-gauge>
<dx-linear-gauge class="gauge-element"
[value]="weatherData.pressure">
<dxo-value-indicator type="circle" color="#E3A857"></dxo-value-indicator>
<dxo-title text="Barometric Pressure (mb)">
<dxo-font [size]="16"></dxo-font>
</dxo-title>
<dxo-geometry orientation="vertical"></dxo-geometry>
<dxo-scale [startValue]="900" [endValue]="1100" [customTicks]="[900, 1000, 1020, 1100]">
<dxo-label>
<dxo-format type="decimal"></dxo-format>
</dxo-label>
</dxo-scale>
<dxo-range-container backgroundColor="none">
<dxi-range [startValue]="900" [endValue]="1000" color="#679EC5"></dxi-range>
<dxi-range [startValue]="1000" [endValue]="1020" color="#A6C567"></dxi-range>
<dxi-range [startValue]="1020" [endValue]="1100" color="#E18E92"></dxi-range>
</dxo-range-container>
</dx-linear-gauge>
</div>
<dx-select-box
[dataSource]="cities"
displayExpr="name"
valueExpr="data"
[(value)]="weatherData">
</dx-select-box>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxLinearGaugeModule, DxSelectBoxModule } from 'devextreme-angular';
import { City, Service } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
preserveWhitespaces: true
})
export class AppComponent {
cities: City[];
weatherData: City;
constructor(service: Service) {
this.cities = service.getCities();
this.weatherData = this.cities[0].data;
}
}
@NgModule({
imports: [
BrowserModule,
DxLinearGaugeModule,
DxSelectBoxModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #gauge-demo {
width: 90%;
margin: 0 auto
}
::ng-deep #gauge-demo .gauge-element {
height: 400px;
width: 33%;
float: left;
}
.dx-selectbox {
margin: 10px auto 0;
width: 200px;
}
::ng-deep #gauge-demo::after{
content: ".";
display: block;
clear: both;
visibility: hidden;
line-height: 0;
height: 0;
}
.long-title h3 {
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
import {
Injectable
} from '@angular/core';
export class City {
name: string;
id: string;
data: any;
}
let cities: City[] = [{
name: 'London',
id: '1',
data: {
temperature: 10,
humidity: 81,
pressure: 1002.1
}
}, {
name: 'Berlin',
id: '2',
data: {
temperature: 14,
humidity: 58,
pressure: 1008.5
}
}, {
name: 'New York',
id: '3',
data: {
temperature: 3,
humidity: 89,
pressure: 1016.2
}
}, {
name: 'Moscow',
id: '4',
data: {
temperature: 2,
humidity: 51,
pressure: 1016.5
}
}, {
name: 'Bangkok',
id: '5',
data: {
temperature: 37,
humidity: 39,
pressure: 1007.0
}
}];
@Injectable()
export class Service {
getCities(): City[] {
return cities;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18',
'devextreme-angular': 'npm:devextreme-angular@20.2.5',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<div>
<div class="long-title">
<h3>Weather Indicators</h3>
</div>
<div id="gauge-demo">
<DxLinearGauge
id="temperatureGauge"
:value="value.data.temperature"
class="gauge-element"
>
<DxTitle
text="Temperature (°C)"
>
<DxFont
:size="16"
/>
</DxTitle>
<DxGeometry
orientation="vertical"
/>
<DxScale
:start-value="-40"
:end-value="40"
:tick-interval="40"
/>
<DxRangeContainer
background-color="none"
>
<DxRange
:start-value="-40"
:end-value="0"
color="#679EC5"
/>
<DxRange
:start-value="0"
:end-value="40"
/>
</DxRangeContainer>
</DxLinearGauge>
<DxLinearGauge
id="humidityGauge"
:value="value.data.humidity"
class="gauge-element"
>
<DxTitle
text="Humidity (%)"
>
<DxFont
:size="16"
/>
</DxTitle>
<DxGeometry
orientation="vertical"
/>
<DxScale
:start-value="0"
:end-value="100"
:tick-interval="10"
/>
<DxRangeContainer
background-color="#CACACA"
/>
<DxValueIndicator
type="rhombus"
color="#A4DDED"
/>
</DxLinearGauge>
<DxLinearGauge
id="pressureGauge"
:value="value.data.pressure"
class="gauge-element"
>
<DxTitle
text="Barometric Pressure (mb)"
>
<DxFont
:size="16"
/>
</DxTitle>
<DxGeometry
orientation="vertical"
/>
<DxScale
:start-value="900"
:end-value="1100"
:custom-ticks="customTicks"
>
<DxLabel
:format="pressureLabelFormat"
/>
</DxScale>
<DxRangeContainer>
<DxRange
:start-value="900"
:end-value="1000"
color="#679EC5"
/>
<DxRange
:start-value="1000"
:end-value="1020"
color="#A6C567"
/>
<DxRange
:start-value="1020"
:end-value="1100"
color="#E18E92"
/>
</DxRangeContainer>
<DxValueIndicator
type="circle"
color="#E3A857"
/>
</DxLinearGauge>
</div>
<DxSelectBox
id="selectbox"
:data-source="cities"
v-model:value="value"
display-expr="name"
/>
</div>
</template>
<script>
import {
DxLinearGauge,
DxTitle,
DxFont,
DxGeometry,
DxScale,
DxRangeContainer,
DxRange,
DxValueIndicator,
DxLabel,
} from 'devextreme-vue/linear-gauge';
import { DxSelectBox } from 'devextreme-vue/select-box';
import { cities } from './data.js';
export default {
components: {
DxLinearGauge,
DxTitle,
DxFont,
DxGeometry,
DxScale,
DxRangeContainer,
DxRange,
DxValueIndicator,
DxLabel,
DxSelectBox,
},
data() {
return {
cities,
value: cities[0],
customTicks: [900, 1000, 1020, 1100],
pressureLabelFormat: {
type: 'decimal',
},
};
},
};
</script>
<style scoped>
#gauge-demo {
width: 90%;
margin: 0 auto;
}
#gauge-demo .gauge-element {
height: 400px;
width: 33%;
float: left;
}
.dx-selectbox {
margin: 10px auto 0;
width: 200px;
}
#gauge-demo::after {
content: ".";
display: block;
clear: both;
visibility: hidden;
line-height: 0;
height: 0;
}
.long-title h3 {
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const cities = [{
name: 'London',
id: '1',
data: {
temperature: 10,
humidity: 81,
pressure: 1002.1,
},
}, {
name: 'Berlin',
id: '2',
data: {
temperature: 14,
humidity: 58,
pressure: 1008.5,
},
}, {
name: 'New York',
id: '3',
data: {
temperature: 3,
humidity: 89,
pressure: 1016.2,
},
}, {
name: 'Moscow',
id: '4',
data: {
temperature: 2,
humidity: 51,
pressure: 1016.5,
},
}, {
name: 'Bangkok',
id: '5',
data: {
temperature: 37,
humidity: 39,
pressure: 1007.0,
},
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.4',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);